[keyresult] Migrate majority of CI jobs to Nodepool (part 1)
Closed, ResolvedPublic

Description

Subtasks (where work/discussion will happen) will be created and/or marked as blockers of this one.

Follow-on is T119138: [keyresult] Migrate majority of CI jobs to Nodepool (part 2).

Related Objects

StatusAssignedTask
DuplicateNone
OpenNone
DuplicateNone
OpenNone
Resolvedhashar
Resolvedgreg
Resolvedhashar
Resolvedhashar
ResolvedLegoktm
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Declinedhashar
Resolvedhashar
Declinedhashar
Resolvedhashar
Declinedhashar
Resolvedhashar
Resolvedhashar
Resolvedmobrovac
Resolvedhashar
Resolvedhashar
Resolvedmobrovac
Resolvedhashar
DuplicateNone
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
ResolvedPaladox
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
InvalidNone
Resolvedhashar
DeclinedNone
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedzeljkofilipin
Resolveddduvall
Duplicatezeljkofilipin
greg created this task.Sep 30 2015, 9:35 PM
greg updated the task description. (Show Details)
greg raised the priority of this task from to Normal.
greg added a project: releng-201516-q2.
greg moved this task to Backlog on the releng-201516-q2 board.
greg added subscribers: greg, hashar.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2015, 9:35 PM
greg updated the task description. (Show Details)Sep 30 2015, 10:11 PM
greg set Security to None.
greg renamed this task from [keyresult] Migrate majority of CI jobs to Nodepool to [keyresult] Migrate majority of CI jobs to Nodepool (part 1).Nov 19 2015, 10:49 PM

I changed the title to include "part 1" because this won't be completed completed by Dec 31st.

Jobs that we hope to have migrated by then, however, are:

  • python tox
  • ruby rake
  • javascript npm
greg updated the task description. (Show Details)Nov 19 2015, 10:53 PM
greg updated the task description. (Show Details)Nov 30 2015, 5:15 PM
greg updated the task description. (Show Details)
greg updated the task description. (Show Details)Dec 1 2015, 4:49 PM
hashar closed this task as Resolved.May 25 2016, 9:42 PM
hashar claimed this task.
hashar added subscribers: mobrovac, jayvdb, Jdforrester-WMF.

Python/Ruby/Javascript jobs have been almost all migrated. There are a few left over but they need some architecture work or are jobs that need to be heavily refactored.

That took a while, I have largely underestimated the amount of side maintenance work I have to conduct as well as all the puppet provisioning and crazy double check before migrate. We also had some weird cases such as requiring Trusty or npm jobs relying on PHP composer or Ruby JSDuck.

Overall it went fine with a tremendous help from a lot of people, specially:

And more!!!!